1. Payment API
Easypol pagoPA API
  • Getting Started
  • Payment API
    • Testing Data
    • Result Codes
    • Create Vehicle
      POST
    • Create Payment URL
      POST
    • Get Receipt
      GET
    • Verify PagoPA notice
      POST
  • Webhooks
    • Pagopa Payment Result
      POST
  • Embedded
    • Embedded Payments URL
      POST
  • Checkout
    • PagoPA Checkout
  • Schemas
    • Vehicle
    • PayableVehicleTax
    • PaidVehicleTax
    • ExternallyPaidVehicleTax
    • ExemptedVehicleTax
    • ErrorVehicleTax
    • UnknownVehicleTax
    • PayngVehicleTax
    • Inspection
  1. Payment API

Verify PagoPA notice

POST
https://partners.easypol.io/api/v5/payment-notices/pagopa
Use to verify the validity of a PagoPA payment notice. If the notice is valid, the updated data is saved and returned. The id in the response can be used to generate a payment link for the notice. For more info see Create Payment URL.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://partners.easypol.io/api/v5/payment-notices/pagopa' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "noticeNumber": "161162110454478701",
    "recipientTaxCode": "00488410010",
    "amount": 32.00
}'
Response Response Example
{
    "id": "61f01a43c6eeb881bf5d9db7",
    "noticeNumber": "161162110454478701",
    "recipient": {
        "name": "Telecom Italia S.p.A.",
        "taxCode": "00488410010",
        "logoUrl": "https://easypol.blob.core.windows.net/api-assets/logos/6226a890c48cdab3ddddc8bc.png"
    },
    "amount": 35.50,
    "description": "Pagamento Fattura TIM"
}
Modified at 2026-02-26 16:41:25
Previous
Get Receipt
Next
Pagopa Payment Result
Built with